# Copyright 2001 (C) ActiveState Tool Corp., All Rights Reserved.
#

helpquerydb="""
prints the fullpath to the database file the PyPPM uses.
"""

InstPackXML="""
<PACKAGE NAME="%s">
<LOCATION>%s</LOCATION>
<INSTPACKLIST></INSTPACKLIST>
<INSTROOT></INSTROOT>
<INSTDATE>%s</INSTDATE>
<INSTPPD>
</INSTPPD>
</PACKAGE>
"""

OptString="""
<OPTIONS BUILDDIR="%s"
 CLEAN="%s"
 CONFIRM="%s"
 DOWNLOADSTATUS="%s"
 FORCEINSTALL="%s"
 IGNORECASE="%s"
 MORE="%s"
 ROOT="%s"
 TRACE="%s"
 TRACEFILE="%s"
 VERBOSE="%s"/>"""

helpgenconfig="""
 ppm genconfig

This command will print a valid PPM config file (ppm.xml) to STDOUT.  This 
can be useful if the PPM config file ever gets damaged leaving PPM
unusable.

If required, this command should be run from a shell prompt:

    C:\Python\Lib> pyppm genconfig > ppm.xml
"""

helphelp="""
Commands:
     	exit              - leave the program.
     	help [command]    - prints this screen, or help on 'command'.
  	install PACKAGES  - installs specified PACKAGES.
	quit              - leave the program.
	query [options]   - query information about installed packages.
	search [options]  - search information about available packages.
	set [options]     - set/display current options.
	verify [options]  - verifies current install is up to date.
	version           - displays PPM version number"""

helpinstall="""
 ppm install [--location=location] package1 [... packageN]

Installs the specified software packages. Attempts to install from the 
URL or directory 'location' if the '--location' option is specfied. 

The 'package' arguments may be either package names ('foo'), pathnames 
(p:/packages/foo.ppd) or URLs (http://www.ActiveState.com/packages/foo.ppd)
to specific PPD files.

In the case where a package name is specified, and the '--location'
option is not used, ppm will refer to the default repository locations.

See also: 'confirm' option.
"""

helpquery= """ 
 ppm query [--case|nocase] [--abstract|author] PATTERN

Searches for 'PATTERN' (a regular expression) in the name of any installed 
package.  If a search is successful, information about the matching 
package(s) is displayed.  If 'PATTERN' is omitted, information about
all installed packages will be displayed.

If either '--abstract' or '--author' is specified, PATTERN will be 
searched for in the <ABSTRACT> or <AUTHOR> tags of the installed packages.

The '--case' and '--nocase' options can be used to override the default
case-sensitivity search settings.

See also: 'case' option.
"""

# XXX the following command is removed from this version of the ActivePython
# PPM because we do not have it yet.
# remove PACKAGES   - removes the specified PACKAGES from the system.
helpremove=""" 
 ppm remove package1 [... packageN]

Reads information from the PPD file for the named software package and
removes the package from the system.

See also: 'confirm' option.
"""

helpsearch="""
 ppm search [--case|nocase] [--abstract|author] PATTERN

Displays a list of any packages matching 'PATTERN' (a regular expression)
available from the repository locations in the PPM data file.  If 'PATTERN' is
omitted, information about all available packages will be displayed.

If either '--abstract' or '--author' is specified, PATTERN will be
searched for in the <ABSTRACT> or <AUTHOR> tags of the available packages.

The '--case' and '--nocase' options can be used to override the default
case-sensitivity search settings.

See also: 'case' option.
"""

helpset="""
Sets or displays current options.  With no arguments, current option
settings are displayed.

Available options:

    --ignorecase|-i [1|0]
        - Sets case-sensitive searches.  If one of '1' or '0' is
          not specified, the current setting is toggled.

    --clean|-c [1|0]
        - Sets removal of temporary files from package's build 
          area, on successful installation of a package.  If one of
          '1' or '0' is not specified, the current setting is
          toggled.

    --confirm|-o [1|0]
        - Sets confirmation of 'install', 'remove' and 'upgrade'.
          If one of '1' or '0' is not specified, the current
          setting is toggled.

    --verbose|-v [1|0]
        - Display additional package information for 'query' and
          'search' commands.

    --downloadstatus|-d NUMBER
        - If non-zero, updates the download status after each NUMBER 
          of bytes transferred during an 'install'.  This can be
          reassuring when installing a large package (e.g. Tk) over
          a low-speed connection.

    --build|-b DIRECTORY
        - Changes the package build directory to DIRECTORY.

    --root|-r DIRECTORY
        - Changes the install root directory.  Packages will be
          installed under this new root.

    --trace|-t NUMBER
        - Tracing level--default is 1, maximum is 4, 0 indicates
          no tracing.

    --tracefile|-a FILENAME
        - File to contain tracing information, default is 'PPM.LOG'.

    --save|-s
        - Saves the current options as default options for future
          sessions.
"""

helpverify="""
 ppm verify [--location=location] [--upgrade] [--force] [package1 ... packageN]

Verifies that the currently installed packages are up to date.  If no
packages are specified as arguments, all installed packages will be verified.

If the '--upgrade' option is specified, any package for which an upgrade 
is available will be upgraded.  

If the '--location' option is specified, upgrades will be looked for at 
the specified URL or directory.

If the '--force' option is specified, all currently installed packages will 
be reinstalled regardless of whether they are out of date or not.

See also: 'confirm' option.
"""

helpversion="""
prints the version of the ActivePython Package Repository client. 
"""

configstr ="""
<PPMCONFIG>
    <PPMVER>2,1,3,0</PPMVER>
    <PLATFORM CPU="x86" OSVALUE="%s" OSVERSION="0,0,0,0" />
    <OPTIONS BUILDDIR="%s" CLEAN="1" CONFIRM="1" DOWNLOADSTATUS="16384" FORCEINSTALL="1" IGNORECASE="1" MORE="0" ROOT="%s" TRACE="0" TRACEFILE="" VERBOSE="1" />
    <REPOSITORY LOCATION="http://www.ActiveState.com/cgibin/PyPPM/2.1/pyppmserver.pl?urn:/PyPPMServer" NAME="ActiveState Package Repository" SUMMARYFILE="fetch_summary"/>
    <PPMPRECIOUS>Distutils;zipfile</PPMPRECIOUS>
</PPMCONFIG>
"""

